init:
    $ mods["sgb"]= u"Прощание"
    
    $ config.developer = True

    # имена
    $ colors['sz_sgb'] = {'night': (200, 255, 200, 255), 'sunset': (200, 255, 200, 255), 'day': (200, 255, 200, 255), 'prolog': (200, 255, 200, 255)}
    $ store.names_list.append('sz_sgb') 
    $ names['sz_sgb'] = u'Шиза'
    
    $ sgb_credits = "Огромная благодарность людям, участвовавшим и помогавшим в написании мода:\nСергей S@S Смирнов и всей «Чашке» за отличную редактуру,\nСержу Кротову и Дмитрию Мерзлякову за прекрасный фотошоп,\nКириллу Петрову за вычитку текста,\nSalo Tor за помощь c кодом,\nА также отдельное спасибо паблику Бесконечные Летние Будни за поддержку и хорошее настроение."
    
init python:
    # автоматическое объявление всех bg, cg и sp
    for i in renpy.list_files():
        if i.startswith(("mods/sgb/img/bg/", "mods/sgb/img/cg/", "mods/sgb/img/sp/")) and i.endswith((".jpg", ".png")):
            renpy.image((str(i)[16:-4]), i)
            
    ## Путь к ресурсам
    sgb_sfx_path = "mods/sgb/sfx/"         ## расположение всех звуков
    sgb_music_path = "mods/sgb/music/"         ## расположение всей музыки
    sgb_sprites      = "mods/sgb/img/sp/"  ## расположение спрайтов 
    sgb_sfx = {} # словари для звуков и музыки
    sgb_music = {}
    
    # звучки в авто-режиме
    for i in renpy.list_files():
        if i.startswith(("mods/sgb/music/")) and i.endswith((".ogg", ".mp3")):
            sgb_music[i[15:-4]] = i
        elif i.startswith(("mods/sgb/sfx/")) and i.endswith((".ogg", ".mp3")):
            sgb_sfx[i[13:-4]] = i

label sgb:
    $ new_chapter(0, u"Прощание - На остановке")
    $ day_time()
    $ persistent.sprite_time = 'day'
    play music music_list['trapped_in_dreams'] fadein 3
    scene bg ext_camp_entrance_day with dissolve
    "Я сижу на поребрике, курю и жду Славю. {w}Дым пускаю в рукав, чтобы девушка не заметила, когда выйдет, чем пионер тут занимается. {w}В общем-то, всё равно. Ничего страшного не случится, если и увидит. {w}Славя сделает большие глаза, укоризненно покачает головой — вот и всё."
    "Конечно же, она не расскажет Ольге Дмитриевне о том, что новичок курит. Но сама расстроится. {w}Будет переживать за незнакомого человека, как только она умеет. {w}А я этого не хочу."
    $ renpy.pause(2, hard = True)
    "Только Славя не выходит." 
    "Я всё жду и жду…"
    "Солнце поднялось в зенит и нещадно печёт голову. {w}Какая по счёту сигарета пошла? {w}Сколько вообще я так тут сижу? {w}Часа три, не меньше."
    "Я давно понял, что Славя не появится. Точнее, если быть честным, знал ещё до приезда в лагерь, но цеплялся за последнюю надежду. {w}Даже сам себя на какое-то время сумел убедить, что всё будет по-прежнему. {w}Надо просто подождать {w}и Славя выйдет из ворот и скажет своё неизменное: «Все зовут меня Славя. И ты зови»."
    "Не в этот раз."
    $ renpy.pause(2, hard = True)
    "Надо собраться, встать и войти наконец в лагерь, пока солнечный удар не хватил, {w}но руки трясутся, ноги становятся ватными от страха, что я там увижу.{w} Точнее, чего НЕ увижу. {w}То ли от дурного предчувствия, то ли от жары, пот заливает лицо, течёт за шиворот."
    stop music fadeout 3
    th "Да что со мной такое? Я волнуюсь как будто первый раз попал сюда."
    play music music_list['farewell_to_the_past_edit'] fadein 3
    $ set_mode_nvl()
    scene bg semen_room with dissolve
    "Я вспомнил, каким был до того, как в мою жизнь вошло Бесконечное Лето."
    "Унылый, мнительный хикки, убивающий свою молодость на анонимных бордах, в попытках что-то доказать таким же неудачникам. {w}Не способный на решительный шаг, на поступок. {w}Сколько раз я отказывал Юле, пока наконец не решился? {w}Да что там поступок! {w}Я даже жилище своё месяцами не мог привести в порядок." 
    "Всё, на что меня хватало — жалкие, глупые мечты: {w}«Вот я буду тут лежать такой и страдать, а та прекрасная девушка, которую я вчера встретил на улице, придёт сама, полюбит меня {w}(интересно, за что?) {w}и ляжет рядом»."
    stop music fadeout 3
    $ set_mode_adv()
    scene bg ext_camp_entrance_day with dissolve
    sz_sgb "Она не придёт."
    play music music_list['afterword'] fadein 3
    th "А вот и мой внутренний голос проснулся. Ну хоть он ещё со мной."
    sz_sgb "А куда я денусь с подводной лодки? {w}Я же в тебе."
    th "Во мне, да."
    "Как я только его не называл. {w}«Автор», «Шиза», а ещё раньше почему-то «dreamgirl». Вот уж это совсем какая-то несуразица. {w}Я некоторое время размышляю над этим, стараясь оттянуть неизбежное — момент, когда придётся войти в лагерь и увидеть…"
    th "Конечно, не придёт. Кому нужен такой дрищ? {w}Да любая девушка от порога повернёт назад при виде той норы. Сразу понятно, кто её обитатель."
    sz_sgb "Я не про твои влажные мечты хикана, а про Славю."
    th "Чего это она не придёт? Всегда приходила, а сегодня не придёт?"
    sz_sgb "Ты и сам прекрасно знаешь."
    "Шиза замолкает."
    "Да, знаю. {w}Всегда знал, что такой день когда-нибудь наступит. {w}Прятался от этой мысли: «Ну, ведь не сегодня же и даже не завтра. Может быть, через год или даже два. {w}Не скоро, ещё очень не скоро»."
    "Но вот, этот день наступил. {w}Во рту пересохло. Я достаю из рюкзака фляжку и делаю короткий глоток."
    play sound sfx_carousel_squeak
    "Скрипнувшая створка ворот прерывает мои размышления. {w}Славя!"
    scene bg ext_camp_entrance_day with vpunch
    "Я дёргаюсь, быстро заталкиваю сигарету в траву и встаю. Улыбка рефлекторно растягивает губы."
    "Нет. Никого. {w}Наверное, ветер. {w}Ветер? Но ветра нет совсем. {w}Ни малейшего дуновения. Ни одна веточка не шевельнётся в полуденном зное."
    "И тут я понимаю, что не так с этим местом. {w}Абсолютная тишина. Ни шелеста листвы, ни стрекота кузнечиков, ни пения птиц."
    "Ни-че-го."
    "Плохо дело, совсем плохо. {w}Хотя, это-то как раз можно поправить. {w}Запускаю эмбиент…"
    play ambience ambience_camp_entrance_day fadein 2
    $ renpy.pause(2, hard = True)
    th "Вот так. Гораздо лучше."
    "Я опять сажусь на поребрик."
    sz_sgb "Вставай, тряпка! {w}Вставай и иди! {w}Получи наконец то, что заслужил."
    th "Хорошо, сейчас. {w}Последнюю сигаретку и — вперёд!"
    "Но пачка пуста. {w}Оправданий больше нет, надо идти. {w}Я встаю."
    scene bg ext_camp_entrance_day:
        xalign 0.5 yalign 0.9
        linear 4.0 zoom 2
    "Делаю шаг ко входу, {w}потом другой. {w}Каждое движение даётся с трудом."
    stop music fadeout 3
    play sound sfx_carousel_squeak
    "Ворота подаются с отвратительным скрипом…"
    scene bg black with dissolve
    "Я вхожу."
    $ renpy.pause(3, hard = True)
    
label sgb_miku:
    $ new_chapter(1, u"Прощание - Мику")
    $ day_time()
    $ persistent.sprite_time = 'day'    
    "Вошёл."
    scene bg ext_clubs_day with dissolve
    play ambience ambience_camp_center_day fadein 4
    "И ничего страшного не случилось. {w}Вот только это дикое солнце сведёт меня с ума сегодня. {w}Дойду до умывальников, суну башку под ледяную воду или умоюсь хотя бы. {w}Как же я забыл взять с собой что-нибудь на голову в этот раз?"
    "Мимо логова кибернетиков прохожу не останавливаясь. {w}Потом, всё потом."
    play music music_list['memories'] fadein 3
    scene bg ext_musclub_day with dissolve
    "Поворот налево, впереди — музклуб. {w}Замираю на секунду. {w}Окно открыто! Значит, Мику на месте! {w}Ну вот, а я навоображал тут себе невесть что."
    scene bg ext_musclub_day:
        xalign 0.5 yalign 0.6
        linear 3.0 zoom 2
    "Дверь приоткрыта тоже. Странно. Мику никогда бы так не оставила. Впрочем, сейчас всё узнаем."
    play sound sfx_open_door_clubs
    scene bg int_musclub_day with dissolve
    play sound sfx_close_door_1
    play ambience ambience_music_club_day fadein 4
    "Я вхожу и останавливаюсь на пороге."
    play sound sfx_blow_out_candle
    "Какой-то шорох."
    me "Мику!"
    play sound sfx_tree_branches
    "Лёгкий ветерок прошёлся по комнате, шевельнул занавески. {w}Мелькнула какая-то тень и пропала. Я застываю на месте. {w}Никого."
    play sound sfx_blow_out_candle
    "Но вот опять."
    me "Мику…"
    "Зову уже почему-то шёпотом."
    play sound sfx_blow_out_candle
    "И снова."
    scene mouse_sgb with dissolve
    "Наконец, на центр комнаты выкатился малюсенький мышонок. {w}Замер, покосился на меня сначала одним глазом, затем другим, {w}не нашёл ничего для себя опасного и начал умываться. {w}Странный какой — людей не боится. {w}Может быть, Мику его подкармливала? {w}Вряд ли. {w}Она вон ёжика-то испугалась. {w}А уж мышей все девчонки боятся."
    "Впрочем, боялась ли она на самом деле того ёжика или просто искала надёжного друга, пытаясь избежать одиночества? {w}Конечно, музыка — это целая вселенная со своими событиями и законами. Но человеку нужно общение, особенно такой девушке, как Мику."
    th "Какая она была?"
    $ renpy.pause(2, hard = True)
    stop music
    th "Стоп!"
    $ renpy.pause(2, hard = True)
    th "Почему я подумал в прошедшем времени — «была»? {w}Она и сейчас есть! {w}Просто ненадолго вышла из музклуба по каким-то делам и скоро вернётся. {w}Вот я тут подожду немного, и Мику наверняка появится."
    $ set_mode_nvl()
    scene mi_was_sgb
    play music music_list['farewell_to_the_past_edit'] fadein 3
    stop ambience fadeout 3
    "Мику \(а для кого-то — Маша\). Кто я был до встречи с ней? {w}Мрачный неудачник, не верящий в людей. {w}Да даже общаться-то нормально не умел! {w}Хорошо, что с Мику не нужно было много говорить — она трещала за двоих! {w}Эта девушка научила меня радоваться жизни. Радоваться знакомству с хорошим человеком, солнечному летнему утру. {w}Это она вернула меня к музыке, которую я когда-то без причины забросил. {w}После встречи с Мику я уже никогда не сомневался, какой ответ дать Юле."
    nvl clear
    scene bg semen_room_window
    "А когда вернулся домой, первым делом откинул пыльные, затхлые занавески и распахнул окно. {w}Потом обвёл взглядом своё унылое логово, улыбнулся и принялся за уборку. {w}Порядок в жилище — порядок в голове! {w}Ту возню вряд ли можно назвать настоящей уборкой — просто распихал по углам лишние вещи. {w}Кажется, ещё смахнул пыль со стола. {w}Но тогда для меня и это было достижением, большим шагом вперёд."
    scene fag_room_sgb
    "Теперь каждый вечер после работы я садился за стол, с нетерпением открывал комп и ждал, когда Юля позовёт меня с собой."
    scene cg d1_uv
    uv "Ты пойдёшь со мной?"
    "Никаких сомнений, — «Конечно же, я пойду с тобой, милая!»"
    scene bg ext_road_day
    "И вот я снова в «Совёнке»! Лето, бесконечное лето и любимая девушка рядом. Всё хорошо. Хорошо…"
    $ set_mode_adv()
    stop music fadeout 3
    scene bg int_musclub_day with dissolve
    play ambience ambience_music_club_day fadein 4
    "Мышонок сбежал."
    play sound sfx_open_window
    "Я захлопнул окно и закрыл его на шпингалет. {w}Потом заглянул на всякий случай в кладовку. {w}Никого. {w}Здесь делать больше нечего."
    scene bg ext_musclub_day:
        xalign 0.5 yalign 0.6
        zoom 2
    with dissolve
    play ambience ambience_camp_center_day fadein 4
    "Вышел из музклуба и попытался плотно закрыть дверь, но помешал здоровенный навесной замок, висящий на скобах. {w}Пришлось снять его и взять в руки."
    play sound sfx_open_door_clubs
    "Ну вот, наконец дверь закрылась. {w}Но что теперь делать с этим монстром? {w}Почему-то очень не хочется навешивать его. {w}Как будто тогда назад пути уже не будет. {w}Я тряхнул головой — «Что за глупости!»"
    play sound sfx_lock_close
    "Вставил замок в скобы и защёлкнул."
    th "Вот так! {w}У Мику наверняка есть ключ. Вернётся — откроет."
    
label sgb_alisa:
    $ new_chapter(2, u"Прощание - Алиса")
    $ day_time()
    $ persistent.sprite_time = 'day'
    scene bg ext_musclub_day with dissolve
    "Как только спустился с крыльца музклуба, солнце опять начало слепить глаза, нещадно жечь голову."
    scene bg ext_washstand_day with dissolve
    "Значит, сначала умывальники, а потом уже все другие проблемы."
    scene bg ext_washstand2_day with dissolve
    play sound sfx_draw_water
    "Я сую пальцы под струйку. {w}Вода, как всегда, ледяная."
    me "Сейчас, сполоснусь-ка лучше до пояса."
    "Я стаскиваю мокрую от пота майку,{w} нагибаюсь над умывальником и кидаю полную пригоршню воды себе через плечо!"
    scene bg ext_washstand2_day with vpunch
    play sound sfx_pat_shoulder_hard
    play music music_list['always_ready'] fadein 3
    "Удар!"
    play sound sgb_sfx ['dv_giggle_sgb']
    dv "Челюсть с пола подними. Новенький, значит?"
    th "Алиса!"
    scene bg ext_houses_day with pushleft
    show dv laugh pioneer2:
        alpha 0.5
    "Я разворачиваюсь…"
    hide dv with fade3
    "Никого."
    th "Это что было? {w}Померещилось? {w}Это всё жара и солнце, бьющее в макушку прямой наводкой. {w}Срочно под воду."
    scene bg ext_washstand2_day with pushleft
    show blink
    play sound sfx_draw_water
    $ renpy.pause(2)
    hide blink 
    show unblink
    th "Во-от. Гораздо лучше. Но на голову что-то найти надо."
    scene bg ext_washstand_day with dissolve
    play sound sgb_sfx['closetoyou_sfx_sgb']
    "Мои размышления прерывает мелодичный звук, разнёсшийся по лагерю. Замираю и прислушиваюсь."
    th "Откуда это? {w}Кажется, со сцены. {w}Алиса?! {w}Ну конечно, рыжая красавица разминает пальчики. {w}И как раз в тихий час. {w}Но когда бунтарке было на это не плевать?"
    scene bg ext_path2_day:
        zoom 1.05anchor (48,27) 
        ease 0.20pos (0, 0) 
        ease 0.20pos (5,5) 
        ease 0.20pos (0, 0)
        repeat
    with dissolve
    "Скорей, скорей! {w}По знакомой тропинке к последнему ряду домиков. {w}И дальше, прямо через кусты к сцене."
    scene bg ext_stage_normal_day with dissolve
    stop music fadeout 3  
    "Аппаратура включена, но на сцене никого. {w}Странно. {w}Алису конечно не назовёшь аккуратисткой, но со своей аппаратурой она обращается очень бережно. {w}Значит, хозяйка где-то недалеко. {w}Подожду немного."
    play sound sfx_wood_floor_squeak
    "Я беру гитару и сажусь на край сцены. {w}Сколько раз мы сидели вот так вместе с Алисой! {w}Вот и медиатор, как всегда между струн. {w}Попробую сыграть ту мелодию."
    play music music_list['i_dont_blame_you'] fadein 3
    $ set_mode_nvl()
    scene two_guitars_sgb
    stop ambience fadeout 4
    "Алиса… {w}Кто я был до встречи с этой девушкой? {w}Честно? {w}Трус. {w}Слабак с вечным страхом неудачи, чугунным клином застрявшим в мозгах. {w}Но потом познакомился с Алисой и даже подружился. {w}И когда узнал поближе, оказалось, что внешне такая решительная и задиристая Алиса тоже в душе может сомневаться, переживать, даже бояться. {w}Но она борется со своими страхами. Борется успешно. {w}Помню, как стало стыдно, когда я это понял. Девчонка так может, а я нет?"
    "Алиса дала мне храбрость. {w}Это благодаря ей я решился на свой первый самостоятельный прыжок. Прекрасно помню, где и как это было — разве забудешь?"
    nvl clear
    scene metro_sgb
    "Переполненный вагон метро, набитый телами под завязку. {w}Долгие, сложные размышления о том, как наладить отношения с такой непростой девушкой."
    scene metro_sgb with hpunch
    stop music
    "Состав сильно тряхнуло, я очнулся, и пришла простая, как глоток воды, мысль. Не нужно тут много думать, искать какие-то заумные подходы. Просто быть честным с Алисой."
    play music sgb_music['closetoyou_sgb']
    "Как в той песне, которую она сочинила — «Ты просто посмотри в глаза мне, улыбнись»."
    "Именно так! {w}Подойти, заглянуть в глаза и сказать, что на душе. {w}Она поймёт."
    "Колени тряслись, липкий пот забирался под рубашку от страха. {w}Я не был уверен, не знал точно, куда попаду. {w}Но мне надо было туда. {w}В Лето. {w}Срочно. {w}Я должен был сказать Алисе те, главные слова. {w}Сейчас! {w}Немедленно!"
    "И я решился…"
    nvl clear
    scene bg black
    "И получилось!"
    nvl clear
    scene cg epilogue_dv_3
    "Да, вот так это и было. {w}Благодаря Алисе мне больше не нужен стал 410-й и Юля, чтобы попасть в Лето."
    scene bg ext_road_day
    "Трудно только первый раз. А потом я научился это делать. {w}Достаточно только закрыть глаза и замереть на секунду — и вот я в Совёнке! {w}А потом даже глаза закрывать уже было не нужно. {w}Я уходил в Бесконечное Лето в любое время и из любого места, когда хотел. {w}На работе, во время короткого перерыва, {w}перед сном, лёжа в постели. {w}Бывало даже за столом, прямо во время весёлой вечеринки с друзьями. {w}Сколько же времени прошло с тех пор?"
    $ set_mode_adv()
    scene bg ext_stage_normal_day with dissolve
    play ambience ambience_camp_center_day fadein 4
    sz_sgb "Сколько времени прошло, а играть толком на гитаре ты так и не научился."
    "Буркнул Шиза."
    th "Верно."
    #noice of guitar или нет. ведь он гитару ставит аккуратно
    play sound sfx_wood_floor_squeak
    "Ладно. {w}Наверное, нет смысла сидеть тут дальше. Если бы Алиса была где-то рядом, давно бы уже пришла. {w}Я аккуратно поставил гитару на стойку, вынул шнур и отключил усилитель."
    stop music fadeout 3
    "Куда теперь? Я бесцельно побрёл прочь от сцены."
    
label sgb_lena:
    $ new_chapter(3, u"Прощание - Лена")
    $ day_time()
    $ persistent.sprite_time = 'day'
    scene bg ext_library_day with dissolve
    "Развилка возле библиотеки."
    "Меня охватывает странное чувство. {w}Нерешительность смешивается с сильным, почти непреодолимым желанием войти."
    play sound sfx_door_squeak_light
    "Я поворачиваю ручку и толкаю дверь.{w} Не заперто."
    scene bg int_library_day with dissolve
    stop ambience fadeout 4
    "Заглядываю внутрь.{w} Никого."
    play sound sgb_sfx['gulp_sgb']
    "На попытку сглотнуть слюну, пересохшее горло отозвалось сухими колючками."
    "Я облизнул губы."
    th "А вот это уже серьёзно. {w}Открытый музклуб ещё можно как-то понять, включённую аппаратуру на сцене — тоже. {w}Но чтобы Женя оставила своё святилище незакрытым? {w}Это уже совсем невероятно. {w}Что-то должно было произойти. {w}Что-то очень странное."
    me "Женя!"
    "Я замираю."
    $ renpy.pause(2, hard = True)
    "Никого. {w}Ни шороха. {w}Мёртвая тишина. {w}Мёртвая."
    th "Да что же могло случиться?"
    sz_sgb "Хватит страдать фигнёй. {w}Ты прекрасно знаешь, что случилось."
    me "Нет, не знаю."
    sz_sgb "Ну, как скажешь. Но вообще, это уже смешно."
    "Я встряхнулся."
    th "Полная ерунда. {w}Что я тут себе навоображал? {w}Это же просто библиотека. {w}Надо заглянуть в хранилище для порядка."
    scene int_editorial01_sgb with dissolve
    "По небольшому помещению гуляют солнечные зайчики, а в уголке Лены, на планшетке… Ночной пейзаж гуашью! Незавершённый!"
    th "Но как же? {w}Ведь когда мы виделись в последний раз, художница закончила эту работу полностью! {w}А потом подарила мне. {w}Я теперь всегда беру этот рисунок с собой в Совёнок, чтобы напомнить Лене, если она забудет."
    $ set_mode_nvl()
    play music music_list['lets_be_friends'] fadein 3
    scene cg d5_un_sleep
    "Лена… {w}\nЯ вспомнил, как первый раз познакомился с этой девушкой… Сколько чувств, сколько нежности.{w} Какие прекрасные разговоры мы вели."
    nvl clear
    scene lena_suiside_sgb
    "А потом тот жуткий финал и неистовое, почти маниакальное желание всё исправить. Добиться счастливого конца."
    "Нет, ТАК не должно быть!"
    nvl clear
    scene ext_winterpark_sgb
    "Где я был? {w}На прогулке! {w}Да, я начал выходить на воздух из своей душной конуры. {w}Стал совершать долгие прогулки по парку. {w}В любое время года и любую погоду. {w}Ну и что, что мокрый снег? {w}Есть капюшон и берцы! {w}Так ещё лучше думается.{w} \nЯ шёл по мокрому парку и фантазировал, как изменил бы и историю, и отношения с Леной, если бы мог. {w}И вот тогда меня осенило. {w}Но ведь я же могу! {w}Напишу свою историю, где всё будет не так. {w}В моём рассказе Лена НИКОГДА не будет плакать.{w} \nНИКОГДА.{w} \nКакой наивный я был. {w}Только гораздо позже я понял — даже демиург не в силах изменить некоторые вещи. {w}И всё же, и всё же! Многое, очень многое возможно!"
    scene dreams_sgb
    nvl clear
    "Благодаря Лене я начал творить. {w}Начал сочинять свои истории про Совёнок. {w}А потом своими глазами видел, как написанное мной сбывается в лагере. {w}\nВолшебство!{w} \nМагия творчества."
    $ set_mode_adv()
    scene int_editorial02_sgb with dissolve
    "Я аккуратно, чтобы не помять, достал из рюкзака законченный рисунок и прикрепил его на мольберт."
    "Улыбнулся: «Вот девушка удивится, когда вернётся и увидит это!»"
    sz_sgb "А она вернётся?"
    "Пробормотал Шиза."
    th "Конечно вернётся, {w}просто не может не вернуться. Заткнись, урод."
    "Ну вот, такой хороший момент испортил. {w}Однако, тут делать больше нечего."
    stop music fadeout 3
    scene bg ext_library_day with dissolve
    play ambience ambience_camp_center_day fadein 4
    "Я вышел из библиотеки и плотно закрыл дверь."
    "Рюкзак, который я снова закинул за спину, прижал мокрую майку к спине. {w}Стало очень… {w}Некомфортно. {w}Надо занести шмотки в домик. Ну и вообще, глянуть на наше с Олей жилище. {w}А вдруг там какая зацепка или даже записка для меня?"
    
label sgb_lena:
    $ new_chapter(4, u"Прощание - Ольга")
    $ day_time()
    $ persistent.sprite_time = 'day'
    play ambience ambience_int_cabin_day fadein 4
    play sound sfx_door_squeak_light
    scene bg int_house_of_mt_day with dissolve
    play music music_list['afterword'] fadein 3
    "Домик открыт, тут всё по прежнему. {w}А на столе… {w}И правда записка!"
    scene bg int_house_of_mt_day:
        xalign 0.5 yalign 0.6
        linear 1.0 zoom 2
    "Я кинулся, схватил листок бумаги, торопливо развернул… {w}Написанное моим почерком гласило."
    "«Ты здесь не просто так»"
    play sound sfx_cigarette_pack_crumple
    "Облом. {w}Скомканное послание самому себе полетело под кровать."
    th "Конечно, я тут не просто так. Тоже мне, бином Ньютона!"
    play sound sfx_bed_squeak2
    "Рюкзак плюхнулся на кровать. Я расправил затёкшие плечи и огляделся."
    th "О! Олина панама! А мне как раз на голову нечего надеть."
    "Я натянул аксессуар по самые уши и подошёл к зеркалу."
    scene panama_sgb with dissolve
    th "Красавец!"
    "Ну, а что? {w}Смешно конечно, зато не завалюсь от теплового удара где-нибудь на площади. {w}Я встал по стойке «смирно»."
    me "Дорогая Ольга Дмитриевна! {w}Принимаю от вас эту панаму, как переходящее знамя! {w}Как символ, ответственности за наш лагерь на время вашего отсутствия!"
    "Я сделал «вольно» и задумался."
    $ set_mode_nvl()
    scene mt_me_resort_sgb
    "Шутки шутками, но ведь это Оля научила меня ответственности за людей, которых ведёшь за собой. {w}Однажды, во время одной из наших вечерних посиделок в шезлонгах перед домиком, она вдруг процитировала Канта."
    "«Две вещи наполняют душу всегда новым и все более сильным удивлением и благоговением, чем чаще и продолжительнее мы размышляем о них, — это звездное небо надо мной и моральный закон во мне»."
    "Вот она — правда в кристаллизованном, чистом виде."
    "Автор в ответе за то, что пишет и что обещает тем людям, которые в него поверили."
    nvl clear
    scene bg ext_bathhouse_night
    "Я почему-то вспомнил про маленькую деревеньку совсем недалеко от «Совёнка». {w}Там грустный, страдающий юношеским алкоголизмом, пастушок Ваня пасёт своих баранов. {w}Баранов этих можно сосчитать. {w}Их ровным счётом восемь."
    "Иван не сводит с «Совёнка» глаз, он всегда начеку. {w}В роковую минуту, когда над лагерем во весь рост встанет угроза уничтожения, Пастух приведёт своих баранов в «Совёнок» и всех спасет."
    $ set_mode_adv()
    scene bg int_house_of_mt_day with dissolve
    stop music fadeout 3
    "Впрочем, не будем о грустном. {w}Пока ещё лагерь стоит на месте, и солнце над ним печёт по прежнему."
    "А у меня всё ещё есть цель. {w}И я знаю, кто мне нужен. {w}Если я разыщу Славяну, она точно сможет мне всё рассказать и объяснить."
    
label sgb_slavya:
    $ new_chapter(5, u"Прощание - Славя")
    $ day_time()
    $ persistent.sprite_time = 'day'
    play ambience ambience_camp_center_day fadein 4
    play sound sfx_door_squeak_light
    scene bg ext_houses_day with dissolve
    me "Да! Мне нужна сейчас Славя!"
    play music music_list['forest_maiden'] fadein 3
    $ set_mode_nvl()
    scene sl_clean_sgb
    "Какой же я был дурак, когда смеялся над её вечной, непрекращающейся уборкой. {w}Этой дурацкой метлой. {w}Я не понимал, что уборка на площади по сути — уборка в голове. {w}Выбросить ненужные мысли, вычистить сомнения, как пыль. {w}Причём, не просто сделать это однократно, а завести процедуру, принять за правило."
    stop ambience fadeout 3
    nvl clear
    scene me_room_day_sgb
    "Я вспомнил, как решился наконец привести в порядок свою квартиру. {w}Дела на работе к тому времени у меня уже наладились, деньги были, и я мог бы просто вызвать службу уборки, но что-то подсказывало мне, что надо сделать это самому. {w}Своими руками.{w} \nИ я драил и чистил. {w}Безжалостно выкидывал в мусор вещи, которые ещё вчера казались такими важными. {w}В тот вечер я удалил из закладок двач и никогда больше туда не возвращался. {w}Мне не нужны были больше эти костыли. \nВедь со мной, {w}у меня в душе была Славя!"
    nvl clear
    scene sl_dance_sgb
    "Теперь я всё могу! {w}Умею попадать в «Совёнок» в любое время, когда захочу. {w}Могу сам писать истории и менять ход событий! {w}Появились люди, которые в меня поверили. {w}Я так сильно изменился, что перестал быть даже похожим на того зачуханного хикки, каким был когда-то.{w} \nНо…"
    $ set_mode_adv()
    scene bg ext_houses_day with dissolve
    play ambience ambience_camp_center_day fadein 4
    "Я остановился."
    me "Но где же искать Славю?"
    sz_sgb "А ты не задумывался, почему именно Славя всегда встречала тебя у ворот?"
    "Вот уж, озадачил."
    th "Нет, не задумывался. {w}А правда, почему?"
    sz_sgb "Славя — душа лагеря. {w}Она везде. {w}В каждом листике, каждой травинке. {w}В солнечном лучике, пробившемся сквозь листву. {w}В каплях воды местной петлянки…"
    me "Эка, как тебя на лирику-то потянуло, мой эфемерный друг. {w}Однако, что из этого следует?"
    "Шиза, видимо, обиделся и замолчал. {w}Но до меня дошло и без чужой помощи. {w}Где искать такую девушку? {w}Конечно же, в самом центре, в сердце лагеря. {w}Там, где происходят все значимые события."
    "Я заторопился на площадь."
    
label sgb_square:
    $ new_chapter(6, u"Прощание - Уля")
    $ day_time()
    $ persistent.sprite_time = 'day'
    play ambience ambience_camp_center_day fadein 4 
    scene bg ext_square_day with dissolve
    stop music fadeout 3
    "Вот и площадь."
    "Там, {w}в самом конце и правда кто-то есть! {w}Ура! Сейчас всё прояснится! {w}Окажется, что это я — дурак, навоображал каких-то глупостей, а на самом деле…"
    scene us01_sgb with dissolve
    play music music_list['meet_me_there'] fadein 3
    "А на самом деле, это вовсе не Славя, а Уля. {w}Девочка рисует на асфальте «классики» и даже не обернулась на звук моих шагов."
    me "Уля!"
    "Я осекаюсь потому, что не знаю, помнит она меня в этот раз или нет."
    us "Здравствуй, Бродяга."
    "Девочка бросает на меня короткий взгляд и снова опускает глаза."
    th "Значит, помнит."
    me "А где все?"
    "Вопрос повисает в воздухе."
    "Ульяна какое-то время смотрит на меня, как будто решая, что ответить."
    "Наконец, отводит взгляд, пожимает плечами."
    us "Тебе лучше знать."
    me "Мне?"
    "Такой ответ ставит меня в тупик. {w}Я выдаю первое, что приходит в голову."
    me "Ушли в поход?"
    "Уля на секунду задумывается, хмурит брови."
    us "Поход? {w}Да, пожалуй, это можно назвать и так."
    "Странный разговор у нас получается, полный недомолвок и многозначительных пауз. {w}Я стараюсь сосредоточиться, но солнце печёт даже через панаму. {w}Пот заливает глаза."
    me "А ты почему осталась?"
    us "Тебя ждала."
    me "Меня?"
    "Ещё один неожиданный ответ приводит к вопросу, заданному с самым глупым видом."
    me "Зачем?"
    scene us02_sgb with dissolve
    us "Ты обещал написать историю про то, как я подружилась с Юлей. {w}Вот и жду."
    "Пауза, которая, кажется, тянется вечно…"
    $ renpy.pause(3, hard = True)
    us "Почему не написал?"
    me "Я… {w}Я не знаю… {w}Я напишу. {w}Может быть не сейчас, {w}потом."
    "Я отвожу взгляд."
    me "Не пишется как-то последнее время."
    "Я замолкаю, не зная, что сказать. {w}Как объяснить то, что сейчас на душе."
    us "Ясно."
    th "Ясно, что ничего не ясно. {w}Но где же мне искать…"
    me "Но как же? {w}Ведь я приехал к… {w}Я очень хочу увидеть её снова."
    scene us01_sgb with dissolve
    us "К ней приехал?"
    "Ульяна сердито зыркает на меня исподлобья."
    us "Ну так иди!"
    us "Тебя ждут у ворот."
    me "У ворот? {w}Уля, извини, мне нужно идти, прямо сейчас."
    scene us02_sgb with dissolve
    us "Семён."
    me "Да, Уля?"
    "Девочка смотрит на меня снизу вверх, а в глазах играют искорки."
    us "Ты панаму-то оставь. {w}Оль Дмитриевна вернётся, ругаться будет."
    me "Панаму? {w}Да-да, конечно. {w}Вот, держи."
    us "Сём."
    me "Да?"
    us "А тебе идёт!"
    scene us03_sgb with dissolve
    "Рыжая уже совсем не скрывает ехидную улыбку."
    me "Ай, да ну тебя!"
    "Я делаю вид, что рассердился."
    $ renpy.pause(2, hard = True)
    scene us02_sgb with dissolve
    "Какое-то время мы молчим."
    scene us01_sgb with dissolve
    us "Что стоишь, как истукан? {w}Иди уже."
    stop music fadeout 3
    "Девочка отворачивается и принимается старательно выводить последний «дом»."
    
label sgb_square:
    $ new_chapter(7, u"Прощание - Прощание")
    $ day_time()
    $ persistent.sprite_time = 'day'
    play ambience ambience_camp_center_day fadein 4
    scene bg ext_clubs_day with dissolve
    "Вот и убежище кибернетиков."
    th "И опять не получится к вам зайти. {w}Простите, пацаны, может в другой раз."
    "Скорей к воротам!"
    scene ext_clubs_gate_sgb:
        xalign 0.3 yalign 0.6
        linear 1.0 zoom 2
    th "Но…"
    play music music_list['mystery_girl_v2'] fadein 3
    show uv normal far with dissolve
    "Перед воротами меня ждёт Юля."
    th "Но почему? {w}Я думал, я встречу…"
    show uv guilty with dissolve
    "Кошкодевочка переступает с ноги на ногу, как будто не зная, с чего начать."
    show uv dontlike with dspr
    uv "Семён, а ты не пробовал поискать в другом месте?"
    me "Кого?"
    uv "Ту, к которой приехал."
    me "Как это?"
    show uv guilty with dspr
    play sound sfx_inhale
    "Юля вздыхает."
    uv "Не в Совёнке."
    me "А где же?"
    show uv guilty with dspr
    uv "В своём мире."
    th "Что она такое говорит?"
    me "В моём мире? {w}Но ведь она же здесь! {w}Какой смысл искать её там?"
    show uv normal with dspr
    uv "А ты хотя бы попробовал?"
    me "Нет, но…"
    show uv dontlike with dspr
    "Наши миры так близки, Семён. {w}Они соприкасаются, переливаются друг в друга. {w}Я знаю, я почти уверена, ты найдёшь её в своём мире, если очень захочешь. {w}Если будешь искать. {w}Может не сразу, не так быстро. Но…{w} Помнишь, что говорила тебе мама?"
    th "Мама… Да, я помню!"
    me "Дорогу осилит идущий!"
    show uv smile with dspr
    uv "Верно."
    play sound sfx_tree_branches
    "По дорожкам лагеря пробежал ветерок, зашелестел в деревьях, унял жару. {w}Голова прояснилась. {w}Стало вдруг легко. {w}Конечно! Вот же моя Дорога!"
    show uv normal with dspr
    uv "Семён, даже если ты будешь искать…" 
    show uv guilty with dspr
    uv "Даже если ты найдёшь её в своём мире, {w}тебе не обязательно отказываться от нас."
    "Глаза Юли становятся влажными."
    uv "«Совёнок», все мы… {w}Мы ждём тебя. {w}Приходи, когда сможешь. {w}Когда захочешь."
    me "Я знаю, спасибо, Юля."
    "Девочка хлюпает носом, но произносит решительно, почти как приказ."
    show uv dontlike with dspr
    stop music fadeout 3 
    uv "А теперь, иди. {w}Иди и не оборачивайся. {w}Ни за что не оборачивайся, слышишь, Семён?!"
    show uv normal with dspr
    uv "Это важно."
    me "Ладно."
    play music music_list['everlasting_summer'] fadein 3
    scene bg black with dissolve
    "И вот, я ухожу."
    scene bg ext_no_bus with dissolve
    "Иду, не оглядываясь, как приказала Юля. {w}Скоро весь «Совёнок», всё, что было мне так дорого эти годы, окажется за спиной.{w} Перед самым выходом я всё-таки нарушаю обещание."
    scene bg ext_camp_entrance_day with pushleft
    "У ворот, в жарком мареве, все девочки. {w}Смотрят мне вслед и улыбаются. {w}А Алиса даже кажется машет рукой."
    $ ui.imagebutton(im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/dv/dv_3_body.png",(0,0), "images/sprites/far/dv/dv_3_pioneer2.png",(0,0), "images/sprites/far/dv/dv_3_sad.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/dv/dv_2_body.png",(0,0), "images/sprites/far/dv/dv_2_pioneer2.png",(0,0), "images/sprites/far/dv/dv_2_grin.png"), im.matrix.opacity(0.9)), xalign=0.15, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))    #modded: $ ui.imagebutton(im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/dv/dv_3_body.png",(0,0), "images/sprites/far/dv/dv_3_pioneer2.png",(0,0), "images/sprites/far/dv/dv_3_sad.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/dv/dv_2_body.png",(0,0), "images/sprites/far/dv/dv_2_pioneer2.png",(0,0), "images/sprites/far/dv/dv_2_grin.png"), im.matrix.opacity(0.9)), xalign=0.84, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))
    $ ui.imagebutton(im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/sl/sl_1_body.png",(0,0), "images/sprites/far/sl/sl_1_pioneer.png",(0,0), "images/sprites/far/sl/sl_1_normal.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/sl/sl_1_body.png",(0,0), "images/sprites/far/sl/sl_1_pioneer.png",(0,0), "images/sprites/far/sl/sl_1_smile.png"), im.matrix.opacity(0.9)), xalign=0.5, xanchor=0.6, yanchor=0.0, clicked=ui.returns("clicked"))    #modded: $ ui.imagebutton(im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/sl/sl_1_body.png",(0,0), "images/sprites/far/sl/sl_1_pioneer.png",(0,0), "images/sprites/far/sl/sl_1_normal.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/sl/sl_1_body.png",(0,0), "images/sprites/far/sl/sl_1_pioneer.png",(0,0), "images/sprites/far/sl/sl_1_smile.png"), im.matrix.opacity(0.9)), xalign=0.6, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))
    $ ui.imagebutton(im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/un/un_2_body.png",(0,0), "images/sprites/far/un/un_2_pioneer.png",(0,0), "images/sprites/far/un/un_2_sad.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/un/un_2_body.png",(0,0), "images/sprites/far/un/un_2_pioneer.png",(0,0), "images/sprites/far/un/un_2_cry_smile.png"), im.matrix.opacity(0.9)), xalign=-0.10, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))    #modded: $ ui.imagebutton(im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/un/un_2_body.png",(0,0), "images/sprites/far/un/un_2_pioneer.png",(0,0), "images/sprites/far/un/un_2_sad.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/un/un_2_body.png",(0,0), "images/sprites/far/un/un_2_pioneer.png",(0,0), "images/sprites/far/un/un_2_cry_smile.png"), im.matrix.opacity(0.9)), xalign=0.16, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))
    $ ui.imagebutton(im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/mi/mi_2_body.png",(0,0), "images/sprites/far/mi/mi_2_pioneer.png",(0,0), "images/sprites/far/mi/mi_2_sad.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((420,720), (0,0), "images/sprites/far/mi/mi_2_body.png",(0,0), "images/sprites/far/mi/mi_2_pioneer.png",(0,0), "images/sprites/far/mi/mi_2_smile.png"), im.matrix.opacity(0.9)), xalign=0.94, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))    #modded: $ ui.imagebutton(im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/mi/mi_2_body.png",(0,0), "images/sprites/far/mi/mi_2_pioneer.png",(0,0), "images/sprites/far/mi/mi_2_sad.png"), im.matrix.opacity(0.65)), im.MatrixColor(im.Composite((630,1080), (0,0), "images/sprites/far/mi/mi_2_body.png",(0,0), "images/sprites/far/mi/mi_2_pioneer.png",(0,0), "images/sprites/far/mi/mi_2_smile.png"), im.matrix.opacity(0.9)), xalign=0.35, xanchor=0.5, yanchor=0.0, clicked=ui.returns("clicked"))
    $ ui.interact()
    
    hide dv
    hide sl
    hide un
    hide mi
    with fade3
    "Я всматриваюсь — никого нет. {w}Показалось. {w}Остановка пуста. {w}Это всё жара."
    scene bg ext_road_day with dissolve
    "Пора! Мне — пора!"
    
label sgb_titles:
    image credits = ParameterizedText(style = "credits", size = 33)    #modded: image credits = ParameterizedText(style = "credits", size = 50)
    show credits sgb_credits:
        xalign 0.5
        ypos 1.3
        linear 70.0 ypos -4.0
    $ renpy.pause(15, hard = True)
    return
# Android version created with ESTool v1.000
# More info here: https://vk.com/topic-93304648_35130916
